<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.admin.functionoutputtype.input')}" collapsed="true" toggleable="true">
				<p:panelGrid columns="2">
					<h:outputText value="#{facesContext.translate('admin.table.functionoutputtype.name')}" />
					<p:inputText id="name" value="#{adminModel.functionoutputtype.name}" />
					<h:outputText value="#{facesContext.translate('admin.table.functionoutputtype.description')}" />
					<p:inputText id="descr" value="#{adminModel.functionoutputtype.description}" />
					<h:outputText value="#{facesContext.translate('admin.table.functionoutputtype.latexbefore')}" />
					<p:inputText id="before" value="#{adminModel.functionoutputtype.latexBefore}" />
					<h:outputText value="#{facesContext.translate('admin.table.functionoutputtype.latexafter')}" />
					<p:inputText id="after" value="#{adminModel.functionoutputtype.latexAfter}" />
				</p:panelGrid>
				<p:commandButton id="btn_add" action="#{adminController.doAddFunctionoutputtype}" value="#{facesContext.translate('button.add')}" ajax="false" />
			</p:panel>
			<p:panel header="#{facesContext.translate('title.admin.functionoutputtype.table')}">
				<p:dataTable id="types" value="#{adminModel.functionoutputtypes}" var="f">
					<p:column headerText="#{facesContext.translate('admin.table.functionoutputtype.name')}" sortable="true" filterable="true" sortBy="#{f.name}" filterBy="#{f.name}" filterMatchMode="contains">
						<h:outputText value="#{f.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.functionoutputtype.description')}" sortable="true" filterable="true" sortBy="#{f.description}" filterBy="#{f.description}"
						filterMatchMode="contains">
						<h:outputText value="#{f.description}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.functionoutputtype.latexbefore')}" sortable="true" filterable="true" sortBy="#{f.latexBefore}" filterBy="#{f.latexBefore}"
						filterMatchMode="contains">
						<h:outputText value="#{f.latexBefore}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.functionoutputtype.latexafter')}" sortable="true" filterable="true" sortBy="#{f.latexAfter}" filterBy="#{f.latexAfter}"
						filterMatchMode="contains">
						<h:outputText value="#{f.latexAfter}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.functionoutputtype.referenceamount')}" sortable="true" filterable="true" sortBy="#{f.referenceAmount}"
						filterBy="#{f.referenceAmount}" filterMatchMode="contains">
						<h:outputText value="#{f.referenceAmount}" styleClass="squarebadge" />
					</p:column>
					<p:column styleClass="oneiconbutton">
						<ship:removeButton action="#{adminController.doDeleteFunctionoutputtype(f.pk)}" value="" isLink="false" title="#{facesContext.translate('title.delete.approve')}"
							tooltip="#{facesContext.translate('button.delete')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
							rendered="#{f.referenceAmount lt 1}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', f.name)}" />
						</ship:removeButton>
						<p:commandButton id="btn_forbidden" value="" icon="fa fa-trash-o" type="button" style="color: #777777; cursor: not-allowed" styleClass="iconbutton" onclick="return false;" ajax="false"
							rendered="#{f.referenceAmount gt 0}" />
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Die hier angelegten Funktionsausgabetypen erscheinen beim Erstellen einer R-Funktion und steuern die Darstellung von Ergebnissen in den Berichten. 
		</ui:define>
	</ui:composition>
</h:body>
</html>